package edu.jhu.cs.oose.fall2010.group1.surveyApp.model;

import java.util.List;

/**
 * Represents a <code>SingleChoiceQuestion</code> where the choices can be ordered.
 * For example: How are you feeling today? ['Poor', 'Fair', 'Good', 'Excellent'] 
 * 
 * @author liu
 *
 * @param <T>
 */
public class OrdinalChoiceQuestion<T> extends SingleChoiceQuestion<OrdinalChoice<T>> {

	/**
	 * Sole constructor
	 * 
	 * @param newPrompt prompt for the question
	 * @param choices list of choices to select between
	 * @throws InvalidChoiceListException if choice list is null
	 */
	public OrdinalChoiceQuestion(String newPrompt, List<OrdinalChoice<T>> choices) throws InvalidChoiceListException {
		super(newPrompt, choices);
	}
}
