package edu.jhu.cs.oose.fall2010.group1.surveyApp.model;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * The statistics for each question in a survey.
 * @author liu
 *
 */
public class Results {
    private Survey survey;
    private Map<Integer, List<Statistic>> statList;
    
    /**
     * Creates an empty result object for specified survey
     * @param survey to create results for
     */
    public Results(Survey targetSurvey) {
        statList = new HashMap<Integer, List<Statistic>>();
    }
    
    /**
     * Add statistic for specified question
     * @param statSet set of Statistics to add
     * @param i question to add stats for
     * @throws NoSuchQustionException 
     */
    public void addStatsForQuestion(int i, List<Statistic> stats) throws NoSuchQuestionException {
        if (i < survey.getNumberOfQuestions())
        	statList.put(i, stats);
        else
        	throw new NoSuchQuestionException();
    }
    
    public void removeStatsForQuestion(int i) throws NoSuchQuestionException {
    	if (i < survey.getNumberOfQuestions())
        	statList.remove(i);
        else
        	throw new NoSuchQuestionException();
    }
    
    /**
     * Get the set of statistics for a specified question
     * @param i question number to get stats for
     * @return set of statistics for specified question
     */
    public List<Statistic> getStatsForQuestion(int i) {
        return statList.get(i);
    }
}
