package edu.jhu.cs.oose.fall2010.group1.surveyApp.model;

import java.util.List;

/**
 * Question that takes a single value from a selection of choices as response
 * @author liu
 *
 * @param <T> type of object to represent choices
 */
public class SingleChoiceQuestion<T> extends ChoiceQuestion<T> {

	/**
	 * default constructor
	 * @param newPrompt prompt for question
	 * @param choices list of choices
	 * @throws InvalidChoiceListException if choice list is null
	 */
	public SingleChoiceQuestion(String newPrompt, List<T> choices) throws InvalidChoiceListException {
		super(newPrompt, Integer.class, choices);
	}

	/**
	 * 
	 */
	@Override
	public boolean validate(Object answer) {
		return super.validate(answer) && super.getNumberOfChoices() > (Integer)answer;
	}

	@Override
	public List<Statistic> aggregate(List<Object> listOfAnswers) {
		return null;
	}

}
