package edu.jhu.cs.oose.fall2010.group1.surveyApp.model.tests;

import static org.junit.Assert.*;

import java.util.ArrayList;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.BinaryChoiceQuestion;
import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.InvalidSurveyException;
import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.MultiChoiceQuestion;
import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.ResponseSet;
import edu.jhu.cs.oose.fall2010.group1.surveyApp.model.Survey;


public class ResponseSetTest {
	private Survey MCS1;
	@Before
	public void setUp() throws Exception {
		
		ArrayList<String> choiceList = new ArrayList<String>();
		choiceList.add("Choice 1");
		choiceList.add("Choice 2");
		choiceList.add("Choice 3");
		choiceList.add("Choice 4");
		
		MultiChoiceQuestion<String> MCQ1 =  new MultiChoiceQuestion<String>("Is my code broken?", choiceList);
		
		BinaryChoiceQuestion<String> BCQ1 = BinaryChoiceQuestion.makeBinaryChoiceQuestion("Are you well today?", "No", "Yes");
	
		MCS1 = new Survey();
		
		MCS1.addQuestion(MCQ1);
		MCS1.addQuestion(BCQ1);

	}

	@After
	public void tearDown() throws Exception {
		MCS1 = null;
	}

	@Test(expected=InvalidSurveyException.class)
	public void testResponseSetNullSurvey() {
		new ResponseSet(null);
	}
	

	@Test
	public void testAnswerQuestion() {
		ResponseSet b = new ResponseSet(MCS1);
		Boolean[] answer = {true,false,false,false};
		b.answerQuestion(0, answer);
		b.answerQuestion(1, true);
	}

	@Test
	public void testRemoveAnswer() {
		ResponseSet b = new ResponseSet(MCS1);
		b.removeAnswer(0);
		assertTrue(b.getAnswerForQuestion(0) == null);
		b.removeAnswer(1);
		assertTrue(b.getAnswerForQuestion(1) == null);
	}

}
